# Interface TextPosition

interface TextPosition {
offset : number;
textNode : TextNode ;
compareWith (pos: TextPosition ): string;
}

- Defined in src/public/app/types.d.ts:284

##### Index

### Properties

offset
textNode

### Methods

compareWith

## Properties

### offset

offset: number

- Defined in src/public/app/types.d.ts:286

### textNode

textNode: TextNode

- Defined in src/public/app/types.d.ts:285

## Methods

### compareWith

- compareWith(pos: TextPosition ): string

  #### Parameters

  - pos: TextPosition

  #### Returns string

  - Defined in src/public/app/types.d.ts:287